# ij.database property

#### Function

Creates a connection to the database name listed indicated by the property when `ij` starts up. You can specify the complete connection URL (including protocol) with this property or just the database name if you also specify ij.protocol on the command line. After it boots, `ij` displays the generated name of the connection made with this property.

#### Syntax

    ij.database=databaseConnectionURL

When specified on the command line the databaseConnectionURL should not be enclosed in single quotations, however, if the database path contains special characters (e.g. a space) it must be enclosed in double quotes.

#### Example

    java -Dij.protocol=jdbc:derby:
        -Dij.database=wombat;create=true org.apache.derby.tools.ij
    ij version 10.5
    CONNECTION0* -  jdbc:derby:wombat
    * = current connection
    ij>

Parent topic: ij properties reference
Related reference
ij.connection.connectionName property
ij.dataSource property
ij.driver property
ij.exceptionTrace property
ij.maximumDisplayWidth property
ij.outfile property
ij.password property
ij.protocol property
ij.protocol.protocolName property
ij.showErrorCode property
ij.showNoConnectionsAtStart property
ij.showNoCountForSelect property
ij.URLCheck property
ij.user property
derby.ui.codeset property